> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the format distribution

> Returns the content formats of the crawled pages and their shares. The response shows if the share of the preferred formats is below the recommended minimum.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/content/format-distribution
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/content/format-distribution:
    get:
      tags:
        - Content analysis
      summary: Get the format distribution
      description: >-
        Returns the content formats of the crawled pages and their shares. The
        response shows if the share of the preferred formats is below the
        recommended minimum.
      operationId: format_distribution
      parameters:
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FormatDistribution'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    FormatDistribution:
      type: object
      properties:
        formats:
          type: array
          items:
            $ref: '#/components/schemas/FormatShare'
        preferred_share:
          type: number
          format: double
          default: 0
        preferred_min_share:
          type: number
          format: double
          default: 0
        is_below_threshold:
          type: boolean
          default: false
      required:
        - formats
    FormatShare:
      type: object
      properties:
        content_format:
          $ref: '#/components/schemas/ContentFormat'
        count:
          type: integer
        share:
          type: number
          format: double
      required:
        - content_format
        - count
        - share
    ContentFormat:
      enum:
        - blog
        - listicle
        - faq
        - product
        - other
      type: string
      description: |-
        * `blog` - blog
        * `listicle` - listicle
        * `faq` - faq
        * `product` - product
        * `other` - other
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.